POST api/products/{id}/locals
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | string |
Required |
Body Parameters
ProductLocalDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| CountryCode | string |
None. |
|
| Name | string |
None. |
|
| ImageId | string |
None. |
|
| MovieId | string |
None. |
|
| InternalNote | string |
None. |
|
| Description | string |
None. |
|
| IsActive | boolean |
None. |
|
| IsOutOfStock | boolean |
None. |
|
| ProductId | globally unique identifier |
None. |
|
| Price | PriceDto |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "691dcf99-ab20-4808-9c01-94b34be69189",
"countryCode": "sample string 1",
"name": "sample string 2",
"imageId": "sample string 3",
"movieId": "sample string 4",
"internalNote": "sample string 5",
"description": "sample string 6",
"isActive": true,
"isOutOfStock": true,
"productId": "b0ce9559-e92f-4d4e-8929-6dfc0383a440",
"price": {
"id": "946dc9c1-f091-4edd-97f0-0cbe32bf3465",
"amount": 1.0,
"currency": "sample string 2",
"productId": "568e357e-7901-4230-a6c2-574d3c87ee7c",
"symbol": "sample string 3",
"isSymbolBefore": true
}
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.